Subject: Re: [PATCH] add Kconfig option for optimizing for cell

From: Arnd Bergmann <[email-masked]>
Date: Sat, 15 Sep 2007 15:30:15 +0200

On Saturday 15 September 2007, David Woodhouse wrote:
> On Sat, 2007-09-15 at 02:21 +0200, Arnd Bergmann wrote:
> > Since the PPE on cell is an in-order core, it suffers significantly
> > from wrong instruction scheduling. This adds an Kconfig option that
> > enables passing -mtune=cell to gcc in order to generate object
> > code that runs well on cell.
> 
> Do we have an option which is useful for a multiplatform kernel (and for
> userspace) and which lies between the two extremes? Something which will
> improve performance on Cell (and POWER6?) without sucking too hard
> elsewhere?

No, not really. The impact of -mtune=cell should not be too bad on other
out-of-order CPUs, but we don't have any good measurements to back that
up, and it may also be really bad for POWER6 and other in-order cores.

	Arnd <><